import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://gist.githubusercontent.com/arrayjam/6548197/raw/15ccd279850447933260697caedacf9dbe07f963/australia.json";

export const getMexico = () => {

  const [data, setData] = useState(null);
  
  console.log("data :",data);
	
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      const { map12REGION } = topojsonData.objects;
        console.log("topojsonData :",topojsonData);

    	setData(feature(topojsonData, map12REGION));
    })
  }, []);
  
  return data
}

